/*
    Robot Interface
    (C) 2006 Jason Hunt
    nulluser@gmail.com
    
    File: automode.h
*/


#ifndef AUTOMODE_H
#define AUTOMODE_H


#define AUTO_STOP               1
#define AUTO_START_FORWARD      2
#define AUTO_FORWARD            3
#define AUTO_AVOID_STOP         4
#define AUTO_DETERMINE_DIR      5
#define AUTO_BACKUP             6
#define AUTO_TURN_LEFT           7
#define AUTO_TURN_RIGHT           8



void automode_start(void);
void automode_stop(void);

DWORD WINAPI automode_thread(LPVOID p);

#endif
    
